Package org.springframework.http.converter

# Class HttpMessageNotWritableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.http.converter.HttpMessageConversionException
org.springframework.http.converter.HttpMessageNotWritableException

All Implemented Interfaces:
  `Serializable`

public class HttpMessageNotWritableException extends HttpMessageConversionException
Thrown by `HttpMessageConverter` implementations when the `HttpMessageConverter.write(T, org.springframework.http.MediaType, org.springframework.http.HttpOutputMessage)` method fails.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HttpMessageNotWritableException(String msg)`
Create a new HttpMessageNotWritableException.
`HttpMessageNotWritableException(String msg, Throwable cause)`
Create a new HttpMessageNotWritableException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HttpMessageNotWritableException

public HttpMessageNotWritableException(String msg)
Create a new HttpMessageNotWritableException.

Parameters:
  `msg` - the detail message

### HttpMessageNotWritableException

public HttpMessageNotWritableException(String msg, @Nullable Throwable cause)
Create a new HttpMessageNotWritableException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (if any)